SeeTag (Doclet API )
Keywords: com.sun.javadoc.SeeTag interface
Date: 2017-07-29

com.sun.javadoc

## Interface SeeTag

- All Superinterfaces:
    Tag

      public interface SeeTag
      extends Tag

  Represents a user-defined cross-reference to related documentation. The tag can reference a package, class or member, or can hold plain text. (The plain text might be a reference to something not online, such as a printed book, or be a hard-coded HTML link.) The reference can either be inline with the comment, using `{@link}`, or a separate block comment, using `@see`. Method `name()` returns "@link" (no curly braces) or "@see", depending on the tag. Method `kind()` returns "@see" for both tags.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `label()` Get the label of the `@see` tag.
    `ClassDoc` | `referencedClass()` Get the class doc referenced by the class name part of @see.
    `String` | `referencedClassName()` Get the class or interface name of the `@see` reference.
    `MemberDoc` | `referencedMember()` Get the member doc for the field, constructor or method referenced by `@see`.
    `String` | `referencedMemberName()` Get the field, constructor or method substring of the `@see` reference.
    `PackageDoc` | `referencedPackage()` Get the package doc when `@see` references only a package.

    - ### Methods inherited from interface com.sun.javadoc.Tag

      `firstSentenceTags, holder, inlineTags, kind, name, position, text, toString`

- - ### Method Detail

    - #### label

          String label()

      Get the label of the `@see` tag. Return null if no label is present. For example, for:

      `@see String#trim() the trim method`

      return "the trim method".

    - #### referencedPackage

          PackageDoc referencedPackage()

      Get the package doc when `@see` references only a package. Return null if the package cannot be found, or if `@see` references any other element (class, interface, field, constructor, method) or non-element. For example, for:

      `@see java.lang`

      return the `PackageDoc` for `java.lang`.

    - #### referencedClassName

          String referencedClassName()

      Get the class or interface name of the `@see` reference. The name is fully qualified if the name specified in the original `@see` tag was fully qualified, or if the class or interface can be found; otherwise it is unqualified. If `@see` references only a package name, then return the package name instead. For example, for:

      `@see String#valueOf(java.lang.Object)`

      return "java.lang.String". For "`@see java.lang`", return "java.lang". Return null if `@see` references a non-element, such as `@see <a href="java.sun.com">`.

    - #### referencedClass

          ClassDoc referencedClass()

      Get the class doc referenced by the class name part of @see. Return null if the class cannot be found. For example, for:

      `@see String#valueOf(java.lang.Object)`

      return the `ClassDoc` for `java.lang.String`.

    - #### referencedMemberName

          String referencedMemberName()

      Get the field, constructor or method substring of the `@see` reference. Return null if the reference is to any other element or to any non-element. References to member classes (nested classes) return null. For example, for:

      `@see String#startsWith(String)`

      return "startsWith(String)".

    - #### referencedMember

          MemberDoc referencedMember()

      Get the member doc for the field, constructor or method referenced by `@see`. Return null if the member cannot be found or if the reference is to any other element or to any non-element. References to member classes (nested classes) return null. For example, for:

      `@see String#startsWith(java.lang.String)`

      return the `MethodDoc` for `startsWith`.

Submit a bug or feature
Java is a trademark or registered trademark of Oracle and/or its affiliates in the US and other countries.
Copyright © 1993, 2017, Oracle and/or its affiliates. 500 Oracle Parkway
Redwood Shores, CA 94065 USA. All rights reserved.